<html>
<head>
	<title>Activity-a</title>
</head>
<body>

	<em>Science and Engineering Ethics (2001) 7, 231-238</em>

	<hr/>

	<h2>Software Engineering Code of Ethics and Professional Practice</h2>
	
	<p><strong>ITEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></p>
	
	<hr/>
	
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
	
	<!-- <p><strong>PREAMBLE</strong></p>  CORRECTIONS -->
	<h4>PREAMBLE</h4>
	
	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	
	<h4>PRINCIPLES</h4>

	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
		
	</ol>

</body>
</html>